
// Fonts
@import url("https://fonts.googleapis.com/css?family=Raleway:300,400,600");

// Variables
@import "variables";

// Bootstrap
@import '~bootstrap/scss/bootstrap';

.navbar-laravel {
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.04);
}


* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Bitter";
}

$mobile: 600px;
$max-width: 80em;

@mixin aspect-ratio($width, $height) {
  position: relative;
  &:before {
    display: block;
    content: "";
    width: 100%;
    padding-top: ($height / $width) * 100%;
  }
  > .content {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
  }
}

@keyframes openUp {
  0% {
    transform: translate(-50%, -50%) scale(0.5);
  }

  100% {
    transform: translate(-50%, -50%) scale(1);
  }
}
body{
  background: transparent;
}
button {
  appearance: none;
  padding: 0.5em;
  margin: 0.5em 0;
  background: white;
  border: 1px solid black;
  transition: all 0.1s;
  font-size: 14px;
  cursor: pointer;
  user-select: none;

  .fa {
    font-size: 1em !important;
    vertical-align: middle;
  }

  &:hover {
    color: white;
    background: black;
  }
}

input {
  display: inline-block;
  /*appearance: none;*/
  padding: 0.5em;
  margin: 0.5em 0.5em 0.5em 0;
  width: 50px;
  background: white;
  border: 1px solid black;
  transition: all 0.1s;
  font-size: 14px;
}

label {
  font-size: 0.75em;
  margin-right: 0.5em;
}

.checkout-area table {
  margin: 0 auto;
  padding: 0.5em;
  width: 100%;
  max-width: $max-width * 0.5;
  text-align: left;

  th, td {
    padding: 0 0.25em;
  }

  @media(max-width: $mobile) {
    th:nth-child(3), td:nth-child(3) {
      display: none;
    }

    .wishlist {
      position: relative;
      right: 5%;
      top: 0em;
      text-align: right;
      color: #000000;
      z-index: 50;
      transform: translateY(85%);
    }
  }
}

.align-left {
  text-align: left;
}

.align-center {
  text-align: center;
}

.align-right {
  text-align: right;
}

.vert-bottom {
  vertical-align: bottom;
}

.vert-middle {
  vertical-align: middle;
}

.main-wrapper {
  .header {
    position: fixed;
    width: 100%;
    z-index: 50;
    background: #ffffff;
    left: 0;
    top: 0;
    transition: all 300ms ease;
    box-shadow: 0 0 16px rgba(0, 0, 0, 0.15);
    height: 60px;

    h1 {
      position: absolute;
      top: 0;
      transform: translateY(85%);
      left: 5%;
      color: #000000;
      font-size: 1.2em;
      font-weight: 700;
      text-transform: uppercase;
    }
  }

  #vue {
    margin: 0 auto;
    padding: 0.5em;
    text-align: center;
    margin-top: 60px;

    .custom-select{
        width: 150px;
        border-radius: 0;
        float: right;
    }
    .products {
      margin: 0 auto;
      width: 100%;
      max-width: $max-width;

      .product {
        display: inline-block;
        margin: 0.75em;
        width: 100%;
        max-width: 18em;

        .image {
          width: 18em;
          height: 18em;
          margin-bottom: 0.5em;
          position: relative;
          overflow: hidden;
          cursor: pointer;
          transition: box-shadow 0.25s;

          @media(max-width: $mobile) {
            width: 100vw;
            height: 100vw;
          }

          &:before {
            content: '';
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0,0,0,0.5);
            opacity: 0;
            transition: all 0.25s;
          }

          &:after {
            content: "\f00e";
            font-family: "FontAwesome";
            position: absolute;
            top: 250%;
            left: 50%;
            transform: translate(-50%, -50%);
            font-size: 5em;
            color: white;
            pointer-events: none;
            text-shadow: 0 0 5px rgba(0,0,0,0.5), 0 0 10px rgba(0,0,0,0.5);
            transition: all 0.25s;
          }

          &:hover {
            box-shadow: 0 12px 15px 0 rgba(0,0,0,0.24),0 17px 50px 0 rgba(0,0,0,0.19);

            &:before {
              opacity: 1;
            }

            &:after {
              top: 50%;
            }
          }
        }

        .name {
          font-weight: bold;
          font-size: 1.1em;
          cursor: pointer;
        }

        .description {
          font-style: italic;
        }

        .price {
          font-weight: bold;
          font-size: 1.3rem;
          color:green;
        }

        .wishlist-buttons{
          a{
            cursor: pointer;
          }
        }
      }
    }

    .modalWrapper {
      position: relative;

      .overlay {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: rgba(0,0,0,0.7);
        //cursor: pointer;
        z-index: 2;
      }

      .prevProduct, .nextProduct {
        position: fixed;
        color: white;
        font-size: 2em;
        cursor: pointer;
        top: 50%;
        transform: translateY(-50%);
        padding: 1em;
        user-select: none;
        z-index: 5;
      }

      .prevProduct {
        left: calc(50% - 9.5em);
      }

      .nextProduct {
        right: calc(50% - 9.5em);
      }

      .modal {
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background: white;
        padding: 2em;
        text-align: center;
        max-height: calc(100% - 2em);
        overflow-y: scroll;
        overflow-x: hidden;
        animation: openUp 0.1s;
        z-index: 3;
        backface-visibility: hidden;
        display: block;

        .close {
          position: fixed;
          top: -0.5em;
          right: -0.5em;
          cursor: pointer;
          padding: 1em;
        }



        .additionalImages {
          display: flex;
          width: 100%;
          margin: 0 auto;
          text-align: center;

          .additionalImage {
            flex-grow: 1;
            margin: 0.5em 1em;
            position: relative;
            overflow: hidden;
            cursor: pointer;
            width: 25%;
            height: auto;
            @include aspect-ratio(16, 12);

            &:nth-of-type(1n) {
              margin-left: 0;
            }

            &:nth-of-type(4n) {
              margin-right: 0;
            }
          }
        }

        .name {
          font-weight: bold;
          font-size: 1.25em;
          cursor: pointer;
        }

        .description {
          font-style: italic;
        }

        .details {
          max-width: 25em;
          margin: 0 auto;
          padding: 0.5em 0;
        }

        .price {
          font-weight: bold;
          padding-bottom: 0.5em;
        }
      }
    }

    @media(max-width: $mobile) {
      .cart {
        &, & .cartTable {
          width: 100% !important;
        }
      }

      .products {
        text-align: left;

        .product {
          display: block;

          .image {
            width: calc(100vw - 2.5em);
            height:  calc(100vw - 2.5em);
          }
        }
      }

      .modalWrapper {
        .prevProduct, .nextProduct {
          display: none;
        }

        .modal {
          &.checkout {
            width: 100%;
          }

          .imageWrapper {
            width: calc(100vw - 4em);
            height:  calc(100vw - 4em);
          }
        }
      }
    }
  }
}
.svg-icon{
  width: 1rem;
}
.border-left-4-grey{
  border-left: 4px solid darkgray;
}
.imageWrapper {
  width: 25em;
  height: 25em;
  margin: 0.5em auto;
  overflow: hidden;

  .image {
    height: 100%;
    transition: transform 0.2s;
    z-index: 4;
    cursor: crosshair;
  }
}

.fill-red{
  fill:red;
}
@media(min-width: 768px) {
  .wishlist {
      position: fixed;
      right: 5%;
      top: 0em;
      text-align: right;
      color: #000000;
      z-index: 50;
      transform: translateY(85%);
  }
  .logout{
    position: fixed;
    right: 1%;
    top: 1.3em;
    color: darkslategrey;
  }
}
.display-info{
  ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
  }

  li {
    //font: 200 20px/1.5 Helvetica, Verdana, sans-serif;
    border-bottom: 1px solid #ccc;
    padding: 4px;
    text-align: -webkit-center;
  }

  li:last-child {
    border: none;
  }

  li a {
    text-decoration: none;
    color: #000;
    -webkit-transition: font-size 0.3s ease, background-color 0.3s ease;
    -moz-transition: font-size 0.3s ease, background-color 0.3s ease;
    -o-transition: font-size 0.3s ease, background-color 0.3s ease;
    -ms-transition: font-size 0.3s ease, background-color 0.3s ease;
    transition: font-size 0.3s ease, background-color 0.3s ease;
    display: block;
    //width: 200px;
  }

  li a:hover {
    font-size: 18px;
    background: #f6f6f6;
  }
}